Bug 74026 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 16:31 EDT by Enrico Scholz
Modified: 2015-01-07 19:00 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 16:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 16:31:57 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing the package because orphaned
directories will remaining.

| $ rpm -qf /etc/sysconfig/apm-scripts /etc/sysconfig/apm-scripts/apmscript
| file /etc/sysconfig/apm-scripts is not owned by any package
| apmd-3.0.2-12

(Please visit the given URL for a complete list of affected directories)

Version-Release number of selected component (if applicable):


How Reproducible: 100%

Steps to Reproduce:
0. make a minimal installation
1. umask 077
2. make sure that apmd is uninstalled completely
   (rm -rf /etc/sysconfig/apm-scripts)
3. rpm -U apmd-3.0.2-12.i386.rpm
4. ls -l /etc/sysconfig/apm-scripts
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e apmd-3.0.2-12

Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 21:50 /etc/sysconfig/apm-scripts
* files can not be found/read at 5 and
* /etc/sysconfig/apm-scripts still exists after 6.
Comment 1 Bill Nottingham 2003-05-19 16:38:39 EDT
Fixed in 3.0.2-19.

Note You need to log in before you can comment on or make changes to this bug.